# VSCode 个人默认配置

VSCode 扩展插件安装的原则：

- 最小化，满足功能需求的同时，尽可能减少插件数量
- 常更新，保证插件的稳定可用
- 根据插件的说明书知道插件用途，不安装未知插件
- 配置插件选项

## 必备扩展安装

| 插件名               | 搜索词   | 用途描述         |
| -------------------- | -------- | ---------------- |
| Chinese (Simplified) | chinese  | 中文汉化         |
| Code Spell Checker   | spell    | 拼写检查         |
| Error Lens           | err      | 错误行尾显示     |
| Material Icon Theme  | icon     | 文件图标主题     |
| Path Intellisense    | path     | 相对路径选择提示 |
| Trailing Spaces      | trailing | 多余空格字符高亮 |
| XML Format           | xml      | xml文件格式化    |
| Prettier             | prettier | 多种文件格式化   |
| Better Comments      | comments | 代码注释语义高亮 |

## 其他

- 字体不正常，请安装文件夹附带的两个字体文件
